"""
globus-connect-server node disable

The `globus-connect-server node disable` command sets the current node's status
to inactive and removes it from the Globus DNS wildcard domain. The node must
have been previously setup with `node setup`.
"""
from __future__ import annotations

import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    "disable",
    short_help="Set the local node status to 'inactive'",
    help="Set the local node status to 'inactive'",
    disable_options=["format", "explicit_host"],
)
@click.option("--verbose", "-v", is_flag=True)
@click.pass_context
def node_disable(
    ctx: click.Context,
    verbose: bool,
) -> None:
    from .node_disable import node_disable as nd

    nd(
        ctx,
        verbose,
    )
