"""
globus-connect-server node enable

The `globus-connect-server node enable` command sets the current node's status
to active and adds it to the Globus DNS wildcard domain. The machine must have
been previously setup with `node setup`.
"""
from __future__ import annotations

import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    "enable",
    short_help="Set the local node status to 'active'",
    help="Set the local node status to 'active'",
    disable_options=["format", "explicit_host"],
)
@click.option("--verbose", "-v", is_flag=True)
@click.pass_context
def node_enable(
    ctx: click.Context,
    verbose: bool,
) -> None:
    from .node_enable import node_enable as ne

    ne(
        ctx,
        verbose,
    )
