"""
globus-connect-server node new-secret

The globus-connect-server node new-secret command updates the Auth client secret
associated with this node, deleting the previous node secret if it was a unique
one.
"""

from __future__ import annotations

import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    "new-secret",
    help="Create a new secret for this node",
    disable_options=["format", "explicit_host"],
)
@click.option(
    "--agree-to-delete-previous-secret",
    help="Do not prompt for confirmation to delete a node-specific secret",
    is_flag=True,
)
def node_new_secret(
    agree_to_delete_previous_secret: bool,
) -> None:
    from .node_new_secret import node_new_secret as nns

    nns(agree_to_delete_previous_secret)
